import { ComponentType } from "react";
import { Dispatch, Store } from "redux";
import { DeepPartial } from "ts-essentials";
declare type SideEffectDispatch = (...args: Parameters<Dispatch>) => void;
export declare function asyncTimeout<T extends any[]>(ms: number, ...args: T): Promise<T>;
/** Create a test store that overrides some properties from the base store. */
export declare function createTestStore(dispatch?: SideEffectDispatch, initialState?: DeepPartial<ReduxState>): Store<ReduxState>;
export declare function createTestComponent<Props>(): ComponentType<Props>;
export {};
//# sourceMappingURL=testUtils.d.ts.map